{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'delete' %}
        <div class="alert alert-success" role="alert">
            The editorial was removed successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while deleting the editorial, contact the administrator!
        </div>
    {% elif control == 'errorExists' %}
        <div class="alert alert-danger" role="alert">
            Cant delete the editorial, because has books!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Editorial</h5>
        <div class="card-body">
            <h5 class="card-title">Delete a editorial from the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'delete_editorial' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    {% for editorial in editorials %}
                        {% if forloop.first %}
                            <label for="inputEditorial_name" class="form-label">Editorial</label>
                            <select id="inputEditorial_name" name="inputEditorial_name" class="form-select mb-3">
                            <option selected>{{ editorial.name }}</option>
                        {% else %}
                            <option>{{ editorial.name }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no editorials to Delete</h1>
                    {% endfor %}
                    </select>
                </div>
                {% if editorials %}
                    <button type="submit" class="btn btn-danger">Delete</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'all_editorials' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
